function DATAinsert = cellMakerWEL(IDcentralina,DTcatena,NodeNum,cWEL,ListaDate,...
    ARRAYdate_WEL,DatiWireExtensometer,DatiNTCWireExtensometer,ChWEL,WEL_NTC,...
    ErrWireExtensometerLink)

DATAinsert = cell(ListaDate,8);
for ii=1:ListaDate
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_WEL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_WEL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = DatiWireExtensometer(ii,cWEL);
    if ChWEL(cWEL) >= 2
        if WEL_NTC(cWEL) == 1
            DATAinsert{ii,7} = DatiNTCWireExtensometer(ii,cWEL);
        end
    end
    DATAinsert{ii,8} = ErrWireExtensometerLink(ii,cWEL);
end

end
